| helics 3.6.1

Public Member Functions | List of all members
helics::FilterOperations Class Referenceabstract

`#include <FilterOperations.hpp>`

Inheritance diagram for helics::FilterOperations:

## Public Member Functions
| FilterOperations (const FilterOperations &fo)=delete
| FilterOperations (FilterOperations &&fo)=delete
FilterOperations & | operator= (const FilterOperations &fo)=delete
FilterOperations & | operator= (FilterOperations &&fo)=delete
virtual void | set (std::string_view property, double val)
virtual void | setString (std::string_view property, std::string_view val)
virtual double | getProperty (std::string_view property)
virtual std::string | getString (std::string_view property)
virtual std::shared_ptr< FilterOperator > | getOperator ()=0

## Detailed Description

class for managing filter operations

## Member Function Documentation

## ◆ getOperator()

virtual std::shared_ptr<FilterOperator> helics::FilterOperations::getOperator | ( |  | ) |
| pure virtual

retrieve the filter operator

Implemented in helics::CloneFilterOperation, helics::FirewallFilterOperation, helics::RerouteFilterOperation, helics::RandomDropFilterOperation, helics::RandomDelayFilterOperation, and helics::DelayFilterOperation.

## ◆ getProperty()

double helics::FilterOperations::getProperty | ( | std::string_view | property | ) |
| virtual

get a property from a filter

Parameters

  property | the name of the property of the filter to get

Reimplemented in helics::CloneFilterOperation, helics::FirewallFilterOperation, helics::RerouteFilterOperation, helics::RandomDropFilterOperation, helics::RandomDelayFilterOperation, and helics::DelayFilterOperation.

References helics::invalidDouble.

Referenced by helics::DelayFilterOperation::getProperty(), helics::RandomDelayFilterOperation::getProperty(), helics::RandomDropFilterOperation::getProperty(), helics::RerouteFilterOperation::getProperty(), helics::FirewallFilterOperation::getProperty(), and helics::CloneFilterOperation::getProperty().

## ◆ getString()

std::string helics::FilterOperations::getString | ( | std::string_view | property | ) |
| virtual

get a string property on a filter

Parameters

  property | the name of the property of the filter to get

Reimplemented in helics::CloneFilterOperation, helics::FirewallFilterOperation, helics::RerouteFilterOperation, helics::RandomDropFilterOperation, helics::RandomDelayFilterOperation, and helics::DelayFilterOperation.

Referenced by helics::DelayFilterOperation::getString(), helics::RandomDelayFilterOperation::getString(), helics::RandomDropFilterOperation::getString(), helics::RerouteFilterOperation::getString(), helics::FirewallFilterOperation::getString(), and helics::CloneFilterOperation::getString().

## ◆ set()

void helics::FilterOperations::set | ( | std::string_view | property,
|  | double | val
| ) |  |
| virtual

set a property on a filter

Parameters

  property | the name of the property of the filter to change
  val | the numerical value of the property

Reimplemented in helics::CloneFilterOperation, helics::FirewallFilterOperation, helics::RerouteFilterOperation, helics::RandomDropFilterOperation, helics::RandomDelayFilterOperation, and helics::DelayFilterOperation.

## ◆ setString()

void helics::FilterOperations::setString | ( | std::string_view | property,
|  | std::string_view | val
| ) |  |
| virtual

set a string property on a filter

Parameters

  property | the name of the property of the filter to change
  val | the numerical value of the property

Reimplemented in helics::CloneFilterOperation, helics::FirewallFilterOperation, helics::RerouteFilterOperation, helics::RandomDropFilterOperation, helics::RandomDelayFilterOperation, and helics::DelayFilterOperation.

The documentation for this class was generated from the following files:

- FilterOperations.hpp
- FilterOperations.cpp